@media screen and (min-width: 1200px) {
    .custom-banner {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        display: block;
    }

    .rowfull-margin {
        max-width: 1200px;
    }
}

@media screen and (min-width: 1240px) {
    .custom-banner {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        display: block;
    }

    .rowfull-margin {
        max-width: 1240px;
    }
}

@media screen and (min-width: 1600px) {}

@media screen and (min-width: 1920px) {}

@media screen and (max-width: 1599px) {
    .gpht-container {
        width: 100%;
        /* padding-left: 20px;
        padding-right: 20px; */
    }

    .row-doitac {
        width: 100%;
    }
}

@media screen and (max-width: 1024px) {
    .nav-header {
        margin-right: 15px;
    }

    .nav-menu>li>a {
        padding: 25px 12px;
    }
}

@media screen and (max-width: 991px) {

    .gpht-container {
        padding-left: 0;
        padding-right: 0;
    }

    .row-doitac {
        padding-left: 0px;
        padding-right: 0px;
    }
}

/* end 1024px */
/* 768px */
@media screen and (max-width: 768px) {
    .carousel-indicators {
        margin: 0 15px;
        justify-content: center;
        bottom: 0px;
    }

    .secondary-link {
        display: none;
    }

    .nav-menu>li.secondary-link_mobile {
        display: block;
    }

    .secondary-link_mobile .megamenu-list>li {
        padding-left: 20px;
    }

    .secondary-link_mobile .megamenu-list>li.language {
        margin-top: 0;
    }

    .secondary-link_mobile .megamenu-list li.language a {
        display: inline-block;
        width: auto;
        margin-right: 15px;
        background: var(--neutral300);
        padding: 4px 10px;
        font-weight: 500;
        margin-top: 0;
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
    }

    .secondary-link_mobile .megamenu-list>li {
        margin-top: 10px;
    }

    .secondary-link_mobile .megamenu-list>li:first-child {
        margin-top: 0;
    }

    .language-link {
        display: block;
        margin: 45px 0 15px 30px;
    }

    .language-link a {
        display: inline-block;
        width: auto;
        margin-right: 15px;
        color: #2d2d2d;
        background: var(--neutral300);
        padding: 3px 10px;
        font-weight: 500;
        margin-top: 0;
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
        font-size: 14px;
        line-height: 20px;
    }

    .language-link a:focus,
    .language-link a:hover,
    .language-link a.active {
        color: var(--neutral100);
        background: var(--BrandOrange);
        text-decoration: none;
    }

    .link-footer-mobile {
        display: block;
        padding: 20px 10px 0;
    }

    .link-footer-desktop {
        /* display: none; */
    }

    .rowfull-margin {
        padding-bottom: 30px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .box-product-full>a>.contain-img {
        height: 400px;
    }

    .news-items div .box-news {
        font-size: 17px;
    }

    .news-items div .box-news .box-news-gradient {
        padding-top: 242px;
    }

    .box-news .box-news-gradient>.news-title {
        line-height: 23px;
        display: -webkit-box;
        max-width: 100%;
        height: 70px;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .custom-banner .carousel-indicators {
        text-align: center;
        padding-left: 0;
        bottom: 15px;
    }

    .text-pro-title {
        padding: 0 18px;
    }

    .box-product-1 .text-pro-title {
        padding: 0 40px;
    }

    .news-item--l {
        margin-bottom: 20px;
        height: calc(220px + 8vw);
    }

    .news-item--l .text {
        background: url('../images/gradient-news2.png') top center repeat-y;
        background-size: 100%;
        height: 100%;
        top: 0;
    }

    .news-item--r:first-child {
        margin-bottom: 10px;
        height: calc(220px + 8vw);
    }

    .news-item--r:last-child {
        margin-top: 10px;
        height: calc(220px + 8vw);
    }

    .news-item--l .text h4::after,
    .news-item--r .text h4::after {
        top: calc(50px + 2vw);
    }

    .news-item--l .text h4,
    .news-item--r .text h4 {
        font-size: calc(15px + .6vw);
        line-height: calc(27px + .5vw);
    }

    .news-item--l .text,
    .news-item--r .text {
        width: calc(230px + 20vw);
    }

    .social .rowfull-margin,
    .social .rowfull-margin>div {
        display: block;
    }

    .social {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .social .col-email {
        display: block;
    }

    .social .col-email span {
        padding-top: 24px;
        padding-bottom: 8px;
        display: block;
    }

    .row-link-foot>div {
        margin-bottom: 28px;
    }
}

/* end 768px */
/* 540px */
@media screen and (max-width: 540px) {

    .tab__content.tab-news [class*="col-"]:nth-of-type(1),
    .tab__content.tab-news [class*="col-"]:nth-of-type(2),
    .tab__content.tab-news [class*="col-"]:nth-of-type(3),
    .tab__content.tab-news [class*="col-"]:nth-of-type(4),
    .tab__content.tab-news [class*="col-"]:nth-of-type(5) {
        max-width: 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        padding-left: 10px;
        padding-right: 10px;
    }

    .box-products [class*="box-product-"] {
        padding-left: 0px;
        padding-right: 0px;
        margin-left: 5px;
        margin-right: 5px;
    }

    .tab__content.tab-news [class*="col-"]:nth-of-type(1),
    .tab__content.tab-news [class*="col-"]:nth-of-type(2) {
        width: 100%;
    }

    .news-items div:nth-of-type(1) .box-news {
        height: 340px;
    }

    .news-items div .box-news {
        height: 145px;
    }

    .news-items div .box-news>a>span {
        display: inline-block;
        width: 220px;
        height: 100%;
    }

    .news-items div:nth-of-type(1) .box-news>a>span {
        width: 100%;
    }

    .news-items div .box-news .box-news-gradient {
        padding-top: 0px;
        background: none;
        color: var(--neutral900);
        left: 220px;
        width: auto;
        padding-left: 12px;
        padding-right: 0px;
    }

    .news-items div:nth-of-type(1) .box-news .box-news-gradient {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, .8)) no-repeat bottom;
        background-size: 100% 50%;
        padding-top: 212px;
        padding-left: 20px;
        padding-right: 20px;
        color: var(--neutral100);
    }

    .news-items div .box-news>a img {
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
    }

    .box-product-1 .text-pro-title {
        padding: 0 30px;
    }

    /* sau khi them font mơi */
    .news-items div .box-news .box-news-gradient .labe-category-m,
    .news-items div .box-news .box-news-gradient .labe-new-m {
        display: inline-block;
    }

    .box-news .box-news-gradient .labe-category,
    .box-news .box-news-gradient .labe-new {
        display: none;
    }

    .box-news .box-news-gradient>.news-title {
        height: 72px;
        margin-bottom: 10px;
        font-weight: 600;
    }

    .news-items div .box-news .box-news-gradient .labe-category-m {
        background: var(--neutral300);
        padding: 5px 6px;
    }

    .news-items div .box-news .box-news-gradient .labe-new-m {
        padding: 5px 6px;
    }

    /* sau khi thay font moi */
    .box-product-full>a>.contain-img {
        height: 480px;
    }

    .box-product-full>a>.detail-link {
        bottom: 10px;
    }

    .text-pro-title {
        font-size: 28px;
        height: auto;
        bottom: 39px;
    }

    .text-pro-title>p {
        line-height: 38px;
        height: 76px;
    }

    .text-categories {
        bottom: 133px;
    }

    .banner-img {
        margin-top: 70px;
    }

    .row-doingu>div,
    .row-news>div {
        padding-left: 0;
        padding-right: 0;
    }

    .social .col-email input[type=text] {
        width: calc(240px + 0.4vw);
    }

    .row.row-foot--logo {
        margin-left: -15px;
        margin-right: -15px;
    }
}

/* end 540px */
/* 479 */
@media screen and (max-width: 479px) {

    .rowfull-margin .row {
        margin-left: 0;
        margin-right: 0;
    }

    .carousel-indicators {
        margin-left: 20px;
        margin-right: 20px;
        justify-content: center;
        bottom: 0px;
        margin-bottom: 0;
    }

    .row-headmenu.headmenu {
        margin-left: 10px;
        margin-right: 10px;
    }


    .box-product-2,
    .box-product-3 {
        padding-left: 15px;
        padding-right: 15px;
    }

    .box-product-full>a>.contain-img {
        height: 380px;
    }

    /* .tab__content.tab-news [class*="col-"]:nth-of-type(2) */
    .tab__content.tab-news [class*="col-"]:nth-of-type(1) {
        width: 100%;
    }

    .tab_header_news>div {
        font-size: 15px;
        width: auto;
        padding: 6px 16px;
        margin-left: 2px;
        margin-right: 2px;
        font-weight: 500;
    }

    .tab-news .row {
        margin-left: 0;
        margin-right: 0;
    }

    .box-products>[class*="box-product-"] {
        /* padding-left: 10px;
        padding-right: 10px; */
    }

    .news-items div:first-child .box-news {
        height: 230px;
    }

    .news-items div .box-news {
        height: 115px;
    }

    .news-items div:first-child .box-news .box-news-gradient {
        padding-top: 110px;
        left: 0;
        top: 0;
        background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, .8)) no-repeat bottom;
        color: var(--neutral100);
    }

    .news-items div:first-child .box-news .box-news-gradient {
        padding-left: 30px;
        padding-right: 30px;
    }

    .news-items div .box-news .box-news-gradient {
        padding-top: 0px;
        background: none;
        color: var(--neutral900);
        left: 165px;
        width: auto;
        padding-left: 12px;
        padding-right: 0px;
    }

    .box-news-1,
    .box-news-2,
    .box-news-3,
    .box-news-4,
    .box-news-5 {
        padding-left: 10px;
        padding-right: 10px;
    }

    .news-items div:first-child .box-news>a>span {
        width: 100%;
        height: 100%;
        display: block;
    }

    .news-items div .box-news>a>span {
        display: inline-block;
        width: 165px;
        height: 115px;
    }

    .news-items div:first-child .box-news .box-news-gradient>.news-title {
        line-height: 23px;
        font-size: 17px;
    }

    .news-items div .box-news .box-news-gradient>.news-title {
        line-height: 20px;
        font-size: 17px;
        padding-bottom: 8px;
        height: 72px;
        font-weight: 600;
        margin-bottom: 10px;
    }

    .news-items div:first-child .box-news .box-news-gradient .labe-category,
    .news-items div:first-child .box-news .box-news-gradient .labe-new {
        display: inline-block;
    }

    .news-items div .box-news .box-news-gradient .labe-category,
    .news-items div .box-news .box-news-gradient .labe-new {
        display: none;
    }

    .news-items div .box-news .box-news-gradient .labe-category-m,
    .news-items div .box-news .box-news-gradient .labe-new-m {
        display: inline-block;
        color: var(--neutral100);
        font-weight: 500;
        margin-top: 10px;
    }

    .news-items div .box-news .box-news-gradient .labe-category-m {
        background: var(--gray5);
        color: var(--gray2);
    }

    .news-items div:first-child .box-news img {
        border-radius: unset;
        -webkit-border-radius: unset;
        -moz-border-radius: unset;
        -ms-border-radius: unset;
        -o-border-radius: unset;
    }

    .news-items div .box-news>a img {
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
    }

    .box-news .box-news-gradient>.news-title {
        height: 62px;
    }

    .news-items div:first-child .box-news .box-news-gradient>.news-title {
        height: 70px;
    }

    .row.row-foot--logo {
        margin-left: -15px;
        margin-right: -15px;
    }
}

/* end 479 */

/* ITD  */

@media screen and (max-width: 991px) {
    .about-block::before {
        display: none;
    }

    .about-block .col-chart {
        padding: 40px 30px;
    }
}

@media screen and (max-width: 767px) {
    .gpht--head-text div div {
        justify-content: center;
        padding-top: 20px;
    }

    .row-doitac {
        display: inline-block;
    }
}

@media screen and (max-width: 539px) {
    #carousel-banner .carousel-caption {
        left: 11%;
        right: 11%;
    }

    .carousel-caption .title-company {
        height: calc(10px + 17vw);
    }

    .carousel-caption .num-company {
        height: calc(10px + 11.3vw);
    }

    .carousel-caption .links a {
        font-size: calc(5px + 2vw);
    }

    .carousel-caption .links a .bi {
        font-size: 2vw;
    }

    .about-block .col-chart img {
        max-height: unset;
        width: 100%;
    }
    .row-foot--logo .col--address {
        padding: 0 15px;
    }
    .row-link-foot>div {
        padding: 0;
    }
    .col--address .logo-foot {
        width: 120px;
    }
    footer.footer .row-link-foot {
        padding-bottom: 10px;
    }
    .row-link-foot .mst span {
        display: block;
        padding-bottom: 8px;
    }
    footer.footer .row-foot--logo {
        padding-bottom: 0;
    }
}